%define oname	hybrid-portsrc
%define kname	wl
%define pname	broadcom-wl
%define version	5.100.82.38
%define release	%{mkrel 1}
%define dkmsver	%{version}-%{release}

Summary:	Proprietary driver for Broadcom wireless adapters
Name:		dkms-%{pname}
Version:	%{version}
Release:	%{release}
Source0:	http://www.broadcom.com/docs/linux_sta/%{oname}-x86_32-v%{version}.tar.gz
Source1:	http://www.broadcom.com/docs/linux_sta/%{oname}-x86_64-v%{version}.tar.gz
# Blob is under a custom license (see LICENSE.txt), everything else
# is GPLv2 - AdamW 2008/12
License:	Freeware and GPLv2 with exception
Group:		System/Kernel and hardware
URL:		http://www.broadcom.com/support/802.11/linux_sta.php
BuildRoot:	%{_tmppath}/%{pname}-%{version}-%{release}-buildroot

%description
This package contains the proprietary driver for Broadcom wireless
adapters provided by Broadcom. If installed, it will be used for
these cards in preference to the third-party open source driver that
requires manual installation of firmware, or ndiswrapper.

%prep
%ifarch x86_64
%setup -q -T -c -a1 %{oname}
%else
%setup -q -T -c -a0 %{oname}
%endif

%build

%install
rm -rf %{buildroot}

# install dkms sources
mkdir -p %{buildroot}%{_usr}/src/%{pname}-%{dkmsver}
cp -R * %{buildroot}%{_usr}/src/%{pname}-%{dkmsver}/
cat > %{buildroot}%{_usr}/src/%{pname}-%{dkmsver}/dkms.conf << EOF
MAKE="make -C \$kernel_source_dir M=\\\$(pwd)"
PACKAGE_NAME=%{pname}
PACKAGE_VERSION=%{dkmsver}
DEST_MODULE_LOCATION=/kernel/3rdparty/%{pname}
BUILT_MODULE_NAME=%{kname}
AUTOINSTALL=yes
EOF

%post
set -x
/usr/sbin/dkms --rpm_safe_upgrade add -m %{pname} -v %{dkmsver}
/usr/sbin/dkms --rpm_safe_upgrade build -m %{pname} -v %{dkmsver}
/usr/sbin/dkms --rpm_safe_upgrade install -m %{pname} -v %{dkmsver}

%preun
# rmmod can fail
/sbin/rmmod %{kname} >/dev/null 2>&1
set -x
/usr/sbin/dkms --rpm_safe_upgrade remove -m %{pname} -v %{dkmsver} --all || :

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc lib/LICENSE.txt
%dir %{_usr}/src/%{pname}-%{dkmsver}
%{_usr}/src/%{pname}-%{dkmsver}/*


%changelog
* Thu Mar 10 2011 Franck Bui <franck.bui@mandriva.com> 5.100.82.38-1mdv2010.1
+ Revision: 643653
- Upgrade to v5.100.82.38 (including some package renames, cleanups...)

* Sun Jan 31 2010 Thomas Backlund <tmb@mandriva.org> 5.10.91.9.3-2mdv2010.1
+ Revision: 498748
- fix build with 2.6.33 (#57331)

* Fri Jan 15 2010 Christophe Fergeau <cfergeau@mandriva.com> 5.10.91.9.3-1mdv2010.1
+ Revision: 491665
- switch to version 5.10.91.9.3
- add gentoo patch to fix compilation with kernel 2.6.32 on i586

* Tue Jul 21 2009 Olivier Thauvin <nanardon@mandriva.org> 5.10.91.9-2mdv2010.0
+ Revision: 398244
- patch3 based on gentoo: support kernel 2.6.31

* Sat Jun 27 2009 Olivier Thauvin <nanardon@mandriva.org> 5.10.91.9-1mdv2010.0
+ Revision: 389907
- 5.10.91.9

* Fri Mar 06 2009 Pascal Terjan <pterjan@mandriva.org> 5.10.79.10-1mdv2009.1
+ Revision: 349871
- Update to 5.10.79.10
- Patch for 2.6.29

* Wed Jan 07 2009 Adam Williamson <awilliamson@mandriva.org> 5.10.27.12-1mdv2009.1
+ Revision: 326846
- drop argument.patch, fixed upstream
- new version 5.10.27.12

* Mon Dec 22 2008 Adam Williamson <awilliamson@mandriva.org> 5.10.27.11-1mdv2009.1
+ Revision: 317706
- import broadcom-wl


